//
// Created by sfd on 25-5-31.
//

#ifndef SCENESERIALIZER_H
#define SCENESERIALIZER_H
#include "Scene.h"

namespace Hazel
{
    class HAZEL_API SceneSerializer
    {
    public:
        SceneSerializer(const Ref<Scene> scene);

        void Serialize(const std::string& filepath) const;
        void SerializeRuntime(const std::string& filepath);

        bool Deserialize(const std::string& filepath);
        bool DeserializeRuntime(const std::string& filepath);
    private:
        Ref<Scene> m_Scene;
    };

}

#endif //SCENESERIALIZER_H
